[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 7 Update: epiphany-extensions-2.18.3-8



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-2662
2008-03-26 16:45:26
--------------------------------------------------------------------------------

Name        : epiphany-extensions
Product     : Fedora 7
Version     : 2.18.3
Release     : 8
URL         : http://www.gnome.org/projects/epiphany/extensions
Summary     : Extensions for Epiphany, the GNOME web browser
Description :
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.

--------------------------------------------------------------------------------
Update Information:

Mozilla Firefox is an open source Web browser.    Several flaws were found in
the processing of some malformed web content. A web page containing such
malicious content could cause Firefox to crash or, potentially, execute
arbitrary code as the user running Firefox. (CVE-2008-1233, CVE-2008-1235,
CVE-2008-1236, CVE-2008-1237)    Several flaws were found in the display of
malformed web content. A web page containing specially-crafted content could,
potentially, trick a Firefox user into surrendering sensitive information.
(CVE-2008-1234, CVE-2008-1238, CVE-2008-1241)    All Firefox users should
upgrade to these updated packages, which correct these issues, and are rebuilt
against the update Firefox packages.
--------------------------------------------------------------------------------
ChangeLog:

* Tue Mar 25 2008 Christopher Aillon <caillon redhat com> - 2.18.3-8
- Rebuild against newer gecko
* Fri Feb  8 2008 Christopher Aillon <caillon redhat com> - 2.18.3-7
- Rebuild against newer gecko
* Tue Nov 27 2007 Christopher Aillon <caillon redhat com> - 2.18.3-6
- Rebuild against newer gecko
* Tue Nov  6 2007 Peter Gordon <peter thecodergeek com> - 2.18.3-5
- Rebuild for new Gecko (Firefox 2.0.0.9)
* Sat Oct 20 2007 Peter Gordon <peter thecodergeek com> - 2.18.3-4
- Rebuild against new Gecko release (Firefox 2.0.0.8)
* Mon Jul 30 2007 Peter Gordon <peter thecodergeek com> - 2.18.3-3
- Add a patch from upstream SVN to fix GNOME bug 452119 (crash in the
  filterset.g updater tool from the AdBlocker extension):
  + fix-adblock-filtersetg-updater.patch
* Wed Jul 18 2007 Peter Gordon <peter thecodergeek com> - 2.18.3-2
- Rebuild against new Gecko release (Firefox 2.0.0.5).
* Wed Jul  4 2007 Peter Gordon <peter thecodergeek com> - 2.18.3-1
- Update to new upstream release (2.18.3).
* Wed Jun  6 2007 Christopher Aillon <caillon redhat com> - 2.18.2-3
- Specfiles should _NOT_ call rpm directly.  Fix the previous bug the
  correct way, by doing explicit requires on the exact versions instead
  of via rpm -q
* Tue Jun  5 2007 Peter Gordon <peter thecodergeek com> - 2.18.2-2
- Add %{_target_cpu} to versioned Firefox dependency to avoid multilib
  updating issues such as bug 242318, wherein the 32-bit older Firefox build
  matches the versioned dependency, but the updated 64-bit Firefox build
  matches the 64-bit shared library dependencies. (Thanks to Frederik Hertzum
  for the bug report.)
* Wed May 30 2007 Peter Gordon <peter thecodergeek com> - 2.18.2-1
- Update to new upstream bugfix release (2.18.2); and rebuild for newer
  Firefox/Gecko version (2.0.0.4).
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #438715 - CVE-2008-1234 universal XSS using event handlers
        https://bugzilla.redhat.com/show_bug.cgi?id=438715
  [ 2 ] Bug #438713 - CVE-2008-1233 Mozilla products XPCNativeWrapper pollution
        https://bugzilla.redhat.com/show_bug.cgi?id=438713
  [ 3 ] Bug #438718 - CVE-2008-1236 browser engine crashes
        https://bugzilla.redhat.com/show_bug.cgi?id=438718
  [ 4 ] Bug #438724 - CVE-2008-1238 Referrer spoofing bug
        https://bugzilla.redhat.com/show_bug.cgi?id=438724
  [ 5 ] Bug #438721 - CVE-2008-1237 javascript crashes
        https://bugzilla.redhat.com/show_bug.cgi?id=438721
  [ 6 ] Bug #438730 - CVE-2008-1241 XUL popup spoofing
        https://bugzilla.redhat.com/show_bug.cgi?id=438730
  [ 7 ] Bug #438717 - CVE-2008-1235 chrome privilege via wrong principal
        https://bugzilla.redhat.com/show_bug.cgi?id=438717
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update epiphany-extensions' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]